---
title: SVGAnimatedString.baseVal
slug: Web/API/SVGAnimatedString/baseVal
---
<p>{{APIRef("SVG")}}</p>

<p>BaseVal gets or sets the base value of the given attribute before any animations are applied.<span class="field"><span class="_baseVal doc">The base value of the given attribute before applying any animations. Setter throws DOMException.</span></span></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'types.html#__svg__SVGAnimatedString__baseVal')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'types.html#__svg__SVGAnimatedString__baseVal')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimatedString.baseVal")}}</p>
